% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getCRUCLdata.R
\docType{package}
\name{getCRUdata}
\alias{getCRUdata}
\alias{getCRUdata-package}
\title{getCRUdata: Download and Create a Data Frame or Raster Stack Object of CRU CL2.0 Climatology Variables}
\description{
The getCRUdata package provides functions that automate downloading and
importing CRU CL2.0 climatology data into R, facilitates the calculation of
minimum temperature and maximum temperature, converts elevation from
kilometres to metres and formats the data into a tidy data frame or a list
of raster stack objects for use in an R session. CRU CL2.0 data are a
gridded climatology of 1961-1990 monthly means released in 2002 and cover all
land areas (excluding Antarctica) at 10 arc-second resolution. For more
information see the description of the data provided by the University of
East Anglia Climate Research Unit (CRU),
\url{http://www.cru.uea.ac.uk/cru/data/hrg/tmc/readme.txt}.
}
\author{
Adam H Sparks
}
\references{
\url{https://crudata.uea.ac.uk/cru/data/hrg/tmc/}
}
\seealso{
\code{\link{create_CRU_df}}

\code{\link{create_CRU_stack}}
}

